For the complete documentation index, see llms.txt. This page is also available as Markdown.

Edit profile

Edit user profile

post
/auth/edit-profile

This endpoint allows the authenticated user to edit their profile details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
usernamestringRequiredExample: john_doe
phoneNumberstringRequiredExample: +1234567890
emailstringRequiredExample: john.doe@example.com
addressstringOptionalExample: 123 Main St, Springfield
avatarstringOptionalExample: http://example.com/avatar.jpg
Responses
200

Successfully updated the user profile

*/*
statusintegerOptional
messagestringOptional
post/auth/edit-profile
POST /backend/api/auth/edit-profile HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 160

{
  "username": "john_doe",
  "phoneNumber": "+1234567890",
  "email": "john.doe@example.com",
  "address": "123 Main St, Springfield",
  "avatar": "http://example.com/avatar.jpg"
}
{
  "status": 1,
  "message": "Successfully updated the profile"
}